function obj = update_view_by_example_model( obj,comp,varargin )

newview = comp.currview;
obj.m_view = newview;

if ~isempty(comp.m_symplane_imgc)
    obj.m_symplane_normal = comp.m_symplane_imgc.normal;
    pts = util_pts_from_bwimg(obj.m_sketchimg);
    center = mean(pts,2);
    center(3) = 0;
    obj.m_symplane_p0 = center;
end

end

